Frequently Asked Questions

Why am I getting driver errors / my data doesn't look right?

The first thing to check is to make sure that the AirStack drivers are properly installed. If the firmware version does not match the driver version, you will experience technical issues. To check the installed driver versions, follow the procedure in How do I determine my AirStack Version?.

  • Please see the procedure here to install firmware.
  • Please see the procedure here to update / install the OS.

How do I determine my AirStack Version?

To determine which version of AirStack you are running: 1. Login to your AIR-T 2. Press ctrl-alt-T to open a terminal 3. Type SoapySDRUtil --find

The output should display the installed drivers for all of the software subsystems:

$ SoapySDRUtil --find

######################################################
## Soapy SDR -- the SDR abstraction library
######################################################

linux; GNU C++ version 7.3.0; Boost_106501; UHD_003.010.003.000-0-unknown

Found device 0
  driver = SoapyAIRT
  driver_version = 0.4.2-1
  firmware_version = 0.4.2
  fpga_driver_version = 0.4.2-1
  hardware = AIR7201
  rf_api_version = 0.4.2-1
  url = https://www.deepwavedigital.com
  vendor = Deepwave Digital, Inc.

NOTE: ALL VERSIONS MUST MATCH FOR THE AIR-T TO OPERATE PROPERLY.

 


Last update: March 25, 2021